Loading...
Searching...
No Matches
AVAmbientViewingEnvironment Struct Reference

Ambient viewing environment metadata as defined by H.274. More...

`#include <libavutil/ambient_viewing_environment.h>`

## Data Fields

AVRational | ambient_illuminance
| Environmental illuminance of the ambient viewing environment in lux.
AVRational | ambient_light_x
| Normalized x chromaticity coordinate of the environmental ambient light in the nominal viewing environment according to the CIE 1931 definition of x and y as specified in ISO/CIE 11664-1.
AVRational | ambient_light_y
| Normalized y chromaticity coordinate of the environmental ambient light in the nominal viewing environment according to the CIE 1931 definition of x and y as specified in ISO/CIE 11664-1.

## Detailed Description

Ambient viewing environment metadata as defined by H.274.

The values are saved in AVRationals so that they keep their exactness, while allowing for easy access to a double value with f.ex. av_q2d.

Note
  sizeof(AVAmbientViewingEnvironment) is not part of the public ABI, and it must be allocated using av_ambient_viewing_environment_alloc.

Definition at line 36 of file ambient_viewing_environment.h.

## Field Documentation

## ambient_illuminance

AVRational AVAmbientViewingEnvironment::ambient_illuminance

Environmental illuminance of the ambient viewing environment in lux.

Definition at line 40 of file ambient_viewing_environment.h.

## ambient_light_x

AVRational AVAmbientViewingEnvironment::ambient_light_x

Normalized x chromaticity coordinate of the environmental ambient light in the nominal viewing environment according to the CIE 1931 definition of x and y as specified in ISO/CIE 11664-1.

Definition at line 47 of file ambient_viewing_environment.h.

## ambient_light_y

AVRational AVAmbientViewingEnvironment::ambient_light_y

Normalized y chromaticity coordinate of the environmental ambient light in the nominal viewing environment according to the CIE 1931 definition of x and y as specified in ISO/CIE 11664-1.

Definition at line 54 of file ambient_viewing_environment.h.

The documentation for this struct was generated from the following file:

- libavutil/ambient_viewing_environment.h